Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (6 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/releases/1.3.7/configure

    r2976 r2985  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-blas compile project Blas with debug compiler flags
    1080 
    1081   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1080  --enable-doscompile     Under Cygwin, compile so that executables run under
     1081                          DOS. Set to mingw to use gcc/g++/ld with
     1082                          -mno-cygwin. Set to msvc to use cl/link (or
     1083                          icl/link). Default when mentioned: mingw. Default
     1084                          when not mentioned: disabled.
    10821085  --disable-pkg-config    disable use of pkg-config (if available)
    10831086  --enable-static[=PKGS]
     
    18711874
    18721875# Get the name of the Fortran compiler and appropriate compiler options
    1873 
    1874 
    1875   # for backward compatibility
    1876   # Check whether --enable-doscompile or --disable-doscompile was given.
    1877 if test "${enable_doscompile+set}" = set; then
    1878   enableval="$enable_doscompile"
    1879   enable_doscompile=$enableval
    1880 else
    1881   enable_doscompile=no
    1882 fi;
    1883 
    1884   # Check whether --enable-msvc or --disable-msvc was given.
    1885 if test "${enable_msvc+set}" = set; then
    1886   enableval="$enable_msvc"
    1887   enable_msvc=$enableval
    1888 else
    1889   enable_msvc=no
    1890      if test "$enable_doscompile" = msvc ; then
    1891        enable_msvc=yes
    1892      elif test "$enable_doscompile" != no ; then
    1893        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1894 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1895    { (exit 1); exit 1; }; }
    1896      fi
    1897 
    1898 fi;
    1899 
    1900   if test "$enable_msvc" = yes; then
    1901     case $build in
    1902       *-cygwin* | *-mingw*) ;;
    1903       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1904 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1905    { (exit 1); exit 1; }; } ;;
    1906     esac
    1907   fi
    1908 
    1909 
    1910  case $build in
     1876case $build in
    19111877  *-mingw*)
    19121878    if test "${LD+set}" = set; then :; else
     
    19151881    ;;
    19161882 esac
    1917  if test $enable_msvc = yes ; then
    1918    if test "x${LD+set}" = xset; then :; else
    1919      LD=link
     1883 case $enable_doscompile in
     1884   msvc)
     1885     if test "x${LD+set}" = xset; then :; else
     1886       LD=link
     1887     fi
     1888     ;;
     1889 esac
     1890
     1891
     1892 # Check whether --enable-doscompile or --disable-doscompile was given.
     1893if test "${enable_doscompile+set}" = set; then
     1894  enableval="$enable_doscompile"
     1895  if test "$enable_doscompile" != no; then
     1896     case $build in
     1897       *-cygwin* | *-mingw*) ;;
     1898       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1899echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1900   { (exit 1); exit 1; }; } ;;
     1901     esac
    19201902   fi
    1921  fi
     1903else
     1904  enable_doscompile=no
     1905fi;
     1906 case "$enable_doscompile" in
     1907   mingw)
     1908     case $build in
     1909       *-mingw*) enable_doscompile=no ;;
     1910     esac
     1911     ;;
     1912   msvc|no) ;;
     1913   yes) enable_doscompile=mingw ;;
     1914   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1915                    Try configure --help=recursive." >&5
     1916echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1917                    Try configure --help=recursive." >&2;}
     1918   { (exit 1); exit 1; }; }
     1919      ;;
     1920  esac
     1921  if test "$enable_doscompile" != no ; then
     1922    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1923echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1924  fi
    19221925
    19231926
     
    19621965case $build in
    19631966  *-cygwin* | *-mingw*)
    1964              if test "$enable_msvc" = yes ; then
    1965                comps="icl cl gcc"
     1967             if test "$enable_doscompile" = msvc ; then
     1968               comps="icl cl"
    19661969             else
    1967                comps="gcc icl cl"
     1970               comps="gcc cl"
    19681971             fi ;;
    19691972  *-*-solaris*)
     
    28182821            ;;
    28192822        esac
     2823        case $enable_doscompile in
     2824          mingw)
     2825            CFLAGS="-mno-cygwin"
     2826            cat >conftest.$ac_ext <<_ACEOF
     2827/* confdefs.h.  */
     2828_ACEOF
     2829cat confdefs.h >>conftest.$ac_ext
     2830cat >>conftest.$ac_ext <<_ACEOF
     2831/* end confdefs.h.  */
     2832
     2833int
     2834main ()
     2835{
     2836int i=0; i++;
     2837  ;
     2838  return 0;
     2839}
     2840_ACEOF
     2841rm -f conftest.$ac_objext conftest$ac_exeext
     2842if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2843  (eval $ac_link) 2>conftest.er1
     2844  ac_status=$?
     2845  grep -v '^ *+' conftest.er1 >conftest.err
     2846  rm -f conftest.er1
     2847  cat conftest.err >&5
     2848  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2849  (exit $ac_status); } &&
     2850         { ac_try='test -z "$ac_c_werror_flag"
     2851                         || test ! -s conftest.err'
     2852  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2853  (eval $ac_try) 2>&5
     2854  ac_status=$?
     2855  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2856  (exit $ac_status); }; } &&
     2857         { ac_try='test -s conftest$ac_exeext'
     2858  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2859  (eval $ac_try) 2>&5
     2860  ac_status=$?
     2861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2862  (exit $ac_status); }; }; then
     2863  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2864else
     2865  echo "$as_me: failed program was:" >&5
     2866sed 's/^/| /' conftest.$ac_ext >&5
     2867
     2868fi
     2869rm -f conftest.err conftest.$ac_objext \
     2870      conftest$ac_exeext conftest.$ac_ext
     2871            CFLAGS=
     2872          ;;
     2873        esac
    28202874    esac
    28212875  fi
     
    31583212  clang* ) ;;
    31593213  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3160 
    3161  case $build in
     3214    case $build in
    31623215  *-mingw*)
    31633216    if test "${LD+set}" = set; then :; else
     
    31663219    ;;
    31673220 esac
    3168  if test $enable_msvc = yes ; then
    3169    if test "x${LD+set}" = xset; then :; else
    3170      LD=link
    3171    fi
    3172  fi
     3221 case $enable_doscompile in
     3222   msvc)
     3223     if test "x${LD+set}" = xset; then :; else
     3224       LD=link
     3225     fi
     3226     ;;
     3227 esac
    31733228
    31743229    ;;
     
    31843239case $build in
    31853240  *-cygwin* | *-mingw*)
    3186      if test "$enable_msvc" = yes ; then
    3187        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3241     if test "$enable_doscompile" = msvc ; then
     3242       coin_f77_comps="ifort fl32 compile_f2c"
    31883243     else
    31893244       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34103465
    34113466# Provide some information about the compiler.
    3412 echo "$as_me:3412:" \
     3467echo "$as_me:3467:" \
    34133468     "checking for Fortran 77 compiler version" >&5
    34143469ac_compiler=`set X $ac_compile; echo $2`
     
    35793634    coin_add_fflags="-pipe"
    35803635    coin_dbg_fflags="-g -O0"
     3636    case $enable_doscompile in
     3637      mingw)
     3638        FFLAGS="-mno-cygwin"
     3639        cat >conftest.$ac_ext <<_ACEOF
     3640      program main
     3641      write(*,*) 'Hello world'
     3642      end
     3643_ACEOF
     3644rm -f conftest.$ac_objext conftest$ac_exeext
     3645if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3646  (eval $ac_link) 2>conftest.er1
     3647  ac_status=$?
     3648  grep -v '^ *+' conftest.er1 >conftest.err
     3649  rm -f conftest.er1
     3650  cat conftest.err >&5
     3651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3652  (exit $ac_status); } &&
     3653         { ac_try='test -z "$ac_f77_werror_flag"
     3654                         || test ! -s conftest.err'
     3655  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3656  (eval $ac_try) 2>&5
     3657  ac_status=$?
     3658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3659  (exit $ac_status); }; } &&
     3660         { ac_try='test -s conftest$ac_exeext'
     3661  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3662  (eval $ac_try) 2>&5
     3663  ac_status=$?
     3664  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3665  (exit $ac_status); }; }; then
     3666  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3667else
     3668  echo "$as_me: failed program was:" >&5
     3669sed 's/^/| /' conftest.$ac_ext >&5
     3670
     3671fi
     3672rm -f conftest.err conftest.$ac_objext \
     3673      conftest$ac_exeext conftest.$ac_ext
     3674        FFLAGS=
     3675      ;;
     3676    esac
    35813677  else
    35823678    case $build in
     
    38703966case "$F77" in
    38713967  ifort* | */ifort* | IFORT* | */IFORT*)
    3872 
    3873  case $build in
     3968    case $build in
    38743969  *-mingw*)
    38753970    if test "${LD+set}" = set; then :; else
     
    38783973    ;;
    38793974 esac
    3880  if test $enable_msvc = yes ; then
    3881    if test "x${LD+set}" = xset; then :; else
    3882      LD=link
    3883    fi
    3884  fi
     3975 case $enable_doscompile in
     3976   msvc)
     3977     if test "x${LD+set}" = xset; then :; else
     3978       LD=link
     3979     fi
     3980     ;;
     3981 esac
    38853982
    38863983    ;;
     
    39494046ac_save_FFLAGS=$FFLAGS
    39504047FFLAGS="$FFLAGS $ac_verb"
    3951 (eval echo $as_me:3951: \"$ac_link\") >&5
     4048(eval echo $as_me:4048: \"$ac_link\") >&5
    39524049ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39534050echo "$ac_f77_v_output" >&5
     
    40274124ac_save_FFLAGS=$FFLAGS
    40284125FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4029 (eval echo $as_me:4029: \"$ac_link\") >&5
     4126(eval echo $as_me:4126: \"$ac_link\") >&5
    40304127ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40314128echo "$ac_f77_v_output" >&5
     
    66376734*-*-irix6*)
    66386735  # Find out which ABI we are using.
    6639   echo '#line 6639 "configure"' > conftest.$ac_ext
     6736  echo '#line 6736 "configure"' > conftest.$ac_ext
    66406737  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    66416738  (eval $ac_compile) 2>&5
     
    91149211   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91159212   -e 's:$: $lt_compiler_flag:'`
    9116    (eval echo "\"\$as_me:9116: $lt_compile\"" >&5)
     9213   (eval echo "\"\$as_me:9213: $lt_compile\"" >&5)
    91179214   (eval "$lt_compile" 2>conftest.err)
    91189215   ac_status=$?
    91199216   cat conftest.err >&5
    9120    echo "$as_me:9120: \$? = $ac_status" >&5
     9217   echo "$as_me:9217: \$? = $ac_status" >&5
    91219218   if (exit $ac_status) && test -s "$ac_outfile"; then
    91229219     # The compiler can only warn and ignore the option if not recognized
     
    93829479   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93839480   -e 's:$: $lt_compiler_flag:'`
    9384    (eval echo "\"\$as_me:9384: $lt_compile\"" >&5)
     9481   (eval echo "\"\$as_me:9481: $lt_compile\"" >&5)
    93859482   (eval "$lt_compile" 2>conftest.err)
    93869483   ac_status=$?
    93879484   cat conftest.err >&5
    9388    echo "$as_me:9388: \$? = $ac_status" >&5
     9485   echo "$as_me:9485: \$? = $ac_status" >&5
    93899486   if (exit $ac_status) && test -s "$ac_outfile"; then
    93909487     # The compiler can only warn and ignore the option if not recognized
     
    94869583   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94879584   -e 's:$: $lt_compiler_flag:'`
    9488    (eval echo "\"\$as_me:9488: $lt_compile\"" >&5)
     9585   (eval echo "\"\$as_me:9585: $lt_compile\"" >&5)
    94899586   (eval "$lt_compile" 2>out/conftest.err)
    94909587   ac_status=$?
    94919588   cat out/conftest.err >&5
    9492    echo "$as_me:9492: \$? = $ac_status" >&5
     9589   echo "$as_me:9589: \$? = $ac_status" >&5
    94939590   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    94949591   then
     
    1190312000  lt_status=$lt_dlunknown
    1190412001  cat > conftest.$ac_ext <<EOF
    11905 #line 11905 "configure"
     12002#line 12002 "configure"
    1190612003#include "confdefs.h"
    1190712004
     
    1200312100  lt_status=$lt_dlunknown
    1200412101  cat > conftest.$ac_ext <<EOF
    12005 #line 12005 "configure"
     12102#line 12102 "configure"
    1200612103#include "confdefs.h"
    1200712104
     
    1436314460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1436414461   -e 's:$: $lt_compiler_flag:'`
    14365    (eval echo "\"\$as_me:14365: $lt_compile\"" >&5)
     14462   (eval echo "\"\$as_me:14462: $lt_compile\"" >&5)
    1436614463   (eval "$lt_compile" 2>conftest.err)
    1436714464   ac_status=$?
    1436814465   cat conftest.err >&5
    14369    echo "$as_me:14369: \$? = $ac_status" >&5
     14466   echo "$as_me:14466: \$? = $ac_status" >&5
    1437014467   if (exit $ac_status) && test -s "$ac_outfile"; then
    1437114468     # The compiler can only warn and ignore the option if not recognized
     
    1446714564   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446814565   -e 's:$: $lt_compiler_flag:'`
    14469    (eval echo "\"\$as_me:14469: $lt_compile\"" >&5)
     14566   (eval echo "\"\$as_me:14566: $lt_compile\"" >&5)
    1447014567   (eval "$lt_compile" 2>out/conftest.err)
    1447114568   ac_status=$?
    1447214569   cat out/conftest.err >&5
    14473    echo "$as_me:14473: \$? = $ac_status" >&5
     14570   echo "$as_me:14570: \$? = $ac_status" >&5
    1447414571   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1447514572   then
     
    1603716134   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1603816135   -e 's:$: $lt_compiler_flag:'`
    16039    (eval echo "\"\$as_me:16039: $lt_compile\"" >&5)
     16136   (eval echo "\"\$as_me:16136: $lt_compile\"" >&5)
    1604016137   (eval "$lt_compile" 2>conftest.err)
    1604116138   ac_status=$?
    1604216139   cat conftest.err >&5
    16043    echo "$as_me:16043: \$? = $ac_status" >&5
     16140   echo "$as_me:16140: \$? = $ac_status" >&5
    1604416141   if (exit $ac_status) && test -s "$ac_outfile"; then
    1604516142     # The compiler can only warn and ignore the option if not recognized
     
    1614116238   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1614216239   -e 's:$: $lt_compiler_flag:'`
    16143    (eval echo "\"\$as_me:16143: $lt_compile\"" >&5)
     16240   (eval echo "\"\$as_me:16240: $lt_compile\"" >&5)
    1614416241   (eval "$lt_compile" 2>out/conftest.err)
    1614516242   ac_status=$?
    1614616243   cat out/conftest.err >&5
    16147    echo "$as_me:16147: \$? = $ac_status" >&5
     16244   echo "$as_me:16244: \$? = $ac_status" >&5
    1614816245   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1614916246   then
     
    1834818445   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1834918446   -e 's:$: $lt_compiler_flag:'`
    18350    (eval echo "\"\$as_me:18350: $lt_compile\"" >&5)
     18447   (eval echo "\"\$as_me:18447: $lt_compile\"" >&5)
    1835118448   (eval "$lt_compile" 2>conftest.err)
    1835218449   ac_status=$?
    1835318450   cat conftest.err >&5
    18354    echo "$as_me:18354: \$? = $ac_status" >&5
     18451   echo "$as_me:18451: \$? = $ac_status" >&5
    1835518452   if (exit $ac_status) && test -s "$ac_outfile"; then
    1835618453     # The compiler can only warn and ignore the option if not recognized
     
    1861618713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1861718714   -e 's:$: $lt_compiler_flag:'`
    18618    (eval echo "\"\$as_me:18618: $lt_compile\"" >&5)
     18715   (eval echo "\"\$as_me:18715: $lt_compile\"" >&5)
    1861918716   (eval "$lt_compile" 2>conftest.err)
    1862018717   ac_status=$?
    1862118718   cat conftest.err >&5
    18622    echo "$as_me:18622: \$? = $ac_status" >&5
     18719   echo "$as_me:18719: \$? = $ac_status" >&5
    1862318720   if (exit $ac_status) && test -s "$ac_outfile"; then
    1862418721     # The compiler can only warn and ignore the option if not recognized
     
    1872018817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1872118818   -e 's:$: $lt_compiler_flag:'`
    18722    (eval echo "\"\$as_me:18722: $lt_compile\"" >&5)
     18819   (eval echo "\"\$as_me:18819: $lt_compile\"" >&5)
    1872318820   (eval "$lt_compile" 2>out/conftest.err)
    1872418821   ac_status=$?
    1872518822   cat out/conftest.err >&5
    18726    echo "$as_me:18726: \$? = $ac_status" >&5
     18823   echo "$as_me:18823: \$? = $ac_status" >&5
    1872718824   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1872818825   then
     
    2165421751echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2165521752coin_link_input_cmd="$LN_S"
     21753if test "$enable_doscompile" = mingw; then
     21754  coin_link_input_cmd=cp
     21755fi
    2165621756case "$CC" in
    2165721757  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.